#ifndef CSYSTEMTRAYMANAGER_H
#define CSYSTEMTRAYMANAGER_H

#include "GlobalDefine.h"
#include <QSystemTrayIcon>
#include <QMenu>
#include <QAction>
#include "TrayVolumeCtrl.h"


class CSystemGui;

class CSystemTrayManager: public QObject
{
    Q_OBJECT
public:
    CSystemTrayManager(CTrayVolumeCtrl *VolumeCtrlWidget);
    virtual ~CSystemTrayManager();
    CSystemGui *mProgramHandle;
    int NewSMSMessagesPendingCount(int count);


private:
    QSystemTrayIcon mSystemTrayIcon;
    QMenu *mTrayMenu;
  //  CTrayVolumeMenuAction *mTrayVolumeAction;
    QAction *mQuitAction, *mShowSettingsGUIAction, *mTrayVolumeMenuAction, *mCloneDisplaysAction, *mExtendDisplaysAction;

public slots:
    void TrayIconActivated(QSystemTrayIcon::ActivationReason);
    void TrayBaloonMessageClicked();
    void TrayMenuClicked(QAction*);
};

#endif // CSYSTEMTRAYMANAGER_H
